tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pae Choi" <paec...@earthlink.net>
Subject Re: Apache 1.3 + mod_ssl + mod_jk or mod_jk2 with EAPI under Windows
Date Fri, 01 Nov 2002 14:26:36 GMT
Interesting!

mod_ssl is only available for Apache v1.3.27 based on the info on the
Web site, www.modssl.org. I wonder how could you integrate Apache
v2.x with OpenSSL.


Pae



> I have a document that will probably help you.
> ftp://pokey.wr.usgs.gov/pub/rsowders/Apache2_Jk2_TC4.1.x_JSDK1.4.x.zip
> Watch out for wrapped lines in the url.
>
> As you can see it is for Apache2, but if you understand already how to
> include LoadModule/AddModule lines in 1.3.2x then that really is the only
> difference except for the versions of jk2 that you need.  You will also
> need to grab the jni.dll for the 1.3.2x version of apache.  My
> instructions are for using JNI to start up TC and have it run in-process
> with Apache2.
>
> Check around on my ftp site, I think I have an old ssl version of Apache2
> on there somewhere.  I know openssl for windows is there.  Why would you
> want to run 1.3.x on windows anyway.  It's not multithreaded like Apache2
> is and it's just as easy to install.
>
> Anyway, good luck.
>
> rls
>
>
>
>
>
> "mech" <mech@rz.fh-augsburg.de>
> 10/31/2002 02:11 PM
> Please respond to "Tomcat Users List"
>
>
>         To:     <tomcat-user@jakarta.apache.org>
>         cc:
>         Subject:        Apache 1.3 + mod_ssl + mod_jk or mod_jk2 with EAPI
under Windows
>
>
> Hello,
>
> I'm trying hard to set up an Apache 1.3.27 with SSL that can use mod_jk
> to connect to a servlet container via AJP13.
>
> I managed to set up everything with mod_jk v.1.2.0 already, but because
> mod_ssl requires EAPI and all downloadable mod_jk DLLs for Windows have
> not been compiled for an ssl-enabled Apache, I always get a warning
> message when starting the server that the mod_jk module might crash and
> I should recompile with -DEAPI.
>
> I wonder if anyone can tell me how or where I could obtain an
> EAPI-compiled mod_jk without compiling myself that works with SSL, too.
>
> I already tried to use mod_jk2 v.2.0.1 because I found an EAPI-compiled
> DLL for Windows. Unfortunately, I couldn't load this module
> successfully, although I'm almost sure that the configuration is
> correct, because the non-EAPI v.2.0.1 works fine for me, except the
> annoying EAPI warning again.
>
> Does anyone use the EAPI mod_jk2 v.2.0.1 DLL for Windows successfully
> and could give me a hint on this?
>
> Actually I don't care, whether I have to use mod_jk or mod_jk2 as long
> as it is an EAPI-DLL because of mod_ssl. From previous postings I see
> that I'm not the only one who would like to use a Win/Apache/SSL/mod_jk?
> configuration, but there seems to be no solution yet (except compiling
> manually with VC++)... I hope anybody did the trick already and could
> help me out. Thx.
> k already and could help me out. Thx.
>
>
> --
> To unsubscribe, e-mail:
<mailto:tomcat-user-unsubscribe@jakarta.apache.org>
> For additional commands, e-mail:
<mailto:tomcat-user-help@jakarta.apache.org>
>
>
>
>
>
> --
> To unsubscribe, e-mail:
<mailto:tomcat-user-unsubscribe@jakarta.apache.org>
> For additional commands, e-mail:
<mailto:tomcat-user-help@jakarta.apache.org>
>


--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message